# vim: set ft=spec: -*- rpm-spec -*-
# $Id: quakeforge,v 1.15 2004/05/04 08:39:23 raorn Exp $

# Client selection:
#
#     |   3dfx  |  fbdev  |   sdl   |   svga  |   x11   |
# ----+---------+---------+---------+---------+---------+
#  gl |   3dfx  |   n/a   |   sgl   |   n/a   |   glx   |
#  sw |   n/a   |  fbdev  |sdl,sdl32|   svga  |   x11   |
#
# For example - if you want to build only glx target, set with_x11 and
# build_gl to 1, all others to 0.

%def_disable static

%def_without 3dfx
%def_with    fbdev
%def_with    sdl
%def_without svga
%def_with    x11

%def_enable gl
%def_enable sw

%def_enable xmms
%def_enable alsa
%def_enable oss

%def_disable debug

%if %{with 3dfx} || %{with fbdev} || %{with sdl} || %{with svga} || %{with x11}
%def_with plugins
%else
# If no clients selected - no plugins or render libs are built
%def_without plugins
%def_disable gl
%def_disable sw
%endif

%define name quakeforge
%define version 0.5.5
#define cvsdate 20040416
%define buildver 1

%define release alt%buildver

%define nqver 1.09
%define qwver 2.40

Name: %name
Version: %version
Release: %release
Summary: QuakeForge 3D game engine
Group: Games/Arcade
License: GPL
URL: http://quakeforge.net/

Packager: Sir Raorn <raorn@altlinux.ru>

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name-%version.tar.bz2
%endif
Source1: %name.conf
Source2: pakQF.pak
#Source3: skyboxes.pak

# cpp is unusable with ccache-bte :-(
BuildConflicts: ccache-bte < 1.9-alt3.2

%if_with 3dfx
BuildPreReq: svgalib-devel
%endif
%if_with fbdev
BuildPreReq: directfb-devel
%endif
%if_with sdl
BuildPreReq: libSDL-devel
BuildPreReq: libaudiofile-devel
BuildPreReq: aalib-devel
#BuildPreReq: libarts-devel
BuildPreReq: esound-devel
%endif
%if_with svga
BuildPreReq: svgalib-devel
%endif
%if_enabled xmms
BuildPreReq: libxmms-devel
%endif
%if_enabled alsa
BuildPreReq: libalsa-devel >= 1.0
%endif
%if_with plugins
BuildPreReq: XFree86-devel
BuildPreReq: libvorbis-devel
BuildPreReq: libogg-devel
BuildPreReq: libpng-devel
%endif
BuildPreReq: flex
BuildPreReq: gcc-c++
BuildPreReq: libncurses-devel
#BuildPreReq: libslang
BuildPreReq: libtinfo-devel
BuildPreReq: zlib-devel

%ifdef cvsdate
BuildPreReq: autoconf_2.5 >= 2.52
BuildPreReq: automake_1.6 >= 1.6
BuildPreReq: libtool >= 1.4

%set_autoconf_version 2.5
%set_automake_version 1.6
%endif

%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%package doc
Summary: QuakeForge 3D game engine - documentation
Group: Games/Arcade
Requires: %name = %version-%release

%description doc
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%package libs
Summary: QuakeForge 3D game engine - common libraries
Group: System/Libraries
Requires: %name = %version-%release
Obsoletes: %name-common

%description libs
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%package servers
Summary: QuakeForge 3D game engine - servers
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Provides: quakeforge-server = %version-%release
Provides: quake-server = %nqver
Provides: quakeworld-server = %qwver

%description servers
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%if_with fbdev
 %if_enabled sw
%package fbdev
Summary: QuakeForge 3D game engine - fbdev client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-sw = %version-%release
Provides: %name-client = %version-%release
Provides: %name-sw-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description fbdev
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%if_with x11
 %if_enabled gl
%package glx
Summary: QuakeForge 3D game engine - glx client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-gl = %version-%release
Provides: %name-client = %version-%release
Provides: %name-gl-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description glx
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%if_with sdl
 %if_enabled sw
%package cd-sdl
Summary: QuakeForge 3D game engine - SDL CD plugin
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description cd-sdl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%package sdl
Summary: QuakeForge 3D game engine - SDL client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-sw = %version-%release
Provides: %name-client = %version-%release
Provides: %name-sw-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description sdl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%package sdl32
Summary: QuakeForge 3D game engine - SDL client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs-sw = %version-%release
Provides: %name-client = %version-%release
Provides: %name-sw-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description sdl32
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif

 %if_enabled gl
%package sgl
Summary: QuakeForge 3D game engine - SDL-GL client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-gl = %version-%release
Provides: %name-client = %version-%release
Provides: %name-gl-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description sgl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%if_with 3dfx
 %if_enabled gl
%package 3dfx
Summary: QuakeForge 3D game engine - 3Dfx client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-gl = %version-%release
Provides: %name-client = %version-%release
Provides: %name-gl-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description 3dfx
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%if_with svga
 %if_enabled sw
%package svga
Summary: QuakeForge 3D game engine - SVGAlib client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-sw = %version-%release
Provides: %name-client = %version-%release
Provides: %name-sw-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description svga
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%if_with x11
 %if_enabled sw
%package x11
Summary: QuakeForge 3D game engine - X11 client
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-libs-sw = %version-%release
Provides: %name-client = %version-%release
Provides: %name-sw-client = %version-%release
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description x11
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%if_with plugins
 %if_enabled alsa
%package snd-alsa
Summary: ALSA sound plugin for QuakeForge
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description snd-alsa
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

The ALSA plugin for QuakeForge provides digital audio output for QuakeForge
targets that contain clients.
 %endif
%endif

%if_with plugins
  %if_enabled oss
%package snd-oss
Summary: OSS sound plugin for QuakeForge
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description snd-oss
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

The OSS plugin for QuakeForge provides digital audio output (using OSS/Linux,
OSS/Free, or kernel sound) for QuakeForge targets that contain clients.

NOTE: This plugin does not work on all systems, since it uses memory-mapped
I/O for the output device. If you have trouble, try the quakeforge-alsa
package.
 %endif
%endif

%if_with plugins
 %if_with sdl
%package snd-sdl
Summary: SDL sound plugin for QuakeForge
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description snd-sdl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

The SDL plugin for QuakeForge provides digital audio output for QuakeForge
targets that contain clients.
 %endif
%endif

%if_with plugins
%package snd-disk
Summary: Diskwriter sound plugin for QuakeForge
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description snd-disk
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

The Diskwriter plugin for QuakeForge provides digital audio output for
QuakeForge targets that contain clients.
%endif

%if_enabled gl
%package libs-gl
Summary: QuakeForge 3D game engine - OpenGL renderer libraries
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-gl-client

%description libs-gl
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
%endif

%if_enabled sw
%package libs-sw
Summary: QuakeForge 3D game engine - Software renderer libraries
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-sw-client

%description libs-sw
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
%endif

%if_with plugins
%package cd-linux
Summary: QuakeForge 3D game engine - linux CD plugin
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description cd-linux
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
%endif

%if_with plugins
 %if_enabled xmms
%package cd-xmms
Summary: QuakeForge 3D game engine - xmms CD plugin
Group: Games/Arcade
Requires: %name = %version-%release
Requires: %name-client

%description cd-xmms
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
 %endif
%endif

%package devel
Summary: QuakeForge 3D game engine - headers and development libraries
Group: Development/C
Requires: %name = %version-%release

%description devel
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

%if_enabled static
%package devel-static
Summary: QuakeForge 3D game engine - static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.
%endif

%package -n qfcc
Summary: QuakeForge QuakeC/Ruamoko compiler
Group: Development/Other
Requires: %name-libs = %version-%release
Requires: cpp

%description -n qfcc
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

qfcc is QuakeForge's extended qcc compiler. It is mostly compatable with id
Software's qcc, but due to extentions and subtle semantics changes, the
language it compiles is call Ruamoko.

%package -n pak
Summary: QuakeForge pakfile managing tool
Group: Archiving/Other
Requires: %name-libs = %version-%release

%description -n pak
QuakeForge is a source port of Quake and QuakeWorld, the successors to id
Software's very popular DOOM series. Its primary development goal is to
remain compatible with the original games released by id Software while
adding portability and optional extensions to enhance gameplay.

pak is a simple tar-like tool for managing pak files.
wad is a simple tar-like tool for managing wad files.

%package utils
Summary: Miscellaneous QuakeForge utilites
Group: File tools
Requires: %name-libs = %version-%release

%description utils
This package contains several tools for use with QuakeForge:

 * qfwavinfo, a tool to assist in converting "looped" WAV files to Ogg
   Vorbis.

%package maptools
Summary: Quake mapping tools from the QuakeForge Project
Group: File tools
Requires: %name-libs = %version-%release

%description maptools
This package contains QuakeForge's versions of the tools Id Software used
to create maps for the Quake engine. Included are:

 * bsp2img, a program for converting Quake I BSP's to a bitmap (map!) of the
   level
 * qfbsp, a program for compiling a map file into a BSP tree.
 * qflight, a program for generating lightmaps from the static lights in a
   BSP file.
 * qfmodelgen, a program for generating a .mdl file from a base triangle file
   (.tri), a texture containing front and back skins (.lbm), and a series of
   frame triangle files (.tri).
 * qfvis, a program for generating the Possibly-Visible Set information from
   a BSP and a portal information file (generated by qfbsp).

%prep
%ifdef cvsdate
%setup -q -n %name
./bootstrap
%else
%setup -q
%endif

%build
# Targets selection
TARGETS=""
%if_with x11
 %if_enabled sw
TARGETS="$TARGETS,x11"
  %if_with sdl
TARGETS="$TARGETS,sdl,sdl32"
  %endif
 %endif
 %if_enabled gl
TARGETS="$TARGETS,glx"
  %if_with sdl
TARGETS="$TARGETS,sgl"
  %endif
 %endif
%endif

%if_enabled sw
 %if_with svga
TARGETS="$TARGETS,svga"
 %endif 
 %if_with fbdev
TARGETS="$TARGETS,fbdev"
 %endif
%endif
%if_enabled gl
 %if_with 3dfx
TARGETS="$TARGETS,3dfx"
 %endif
%endif

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
  --with-global-cfg=%_sysconfdir/%name.conf \
  --with-user-cfg=~/.%{name}rc \
  --with-sharepath=%_gamesdatadir/%name \
  --with-userpath=~/.%name \
  --with-plugin-path=%_libdir/%name \
  %{subst_enable debug} \
  %{subst_enable xmms} \
  %{subst_enable alsa} \
  %{subst_enable oss} \
  %{subst_enable static} \
  --with-clients="${TARGETS#,}" \
  --with-tools="bsp2img,carne,pak,qfbsp,qfcc,qflight,qfmodelgen,qfvis,wad,wav"
#               bsp2img,carne,pak,qfbsp,qfcc,qflight,qfmodelgen,qfvis,qwaq,wad,wav

%make_build

%install
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot{%_sysconfdir,%_gamesdatadir/%name/QF}
%__install -m644 %SOURCE1 %buildroot%_sysconfdir
%__install -m644 %SOURCE2 %buildroot%_gamesdatadir/%name/QF
#__install -m644 %SOURCE3 %buildroot%_gamesdatadir/%name/QF

#__rm -f doc/Makefile*
#__rm -f doc/*/Makefile*

# Collect some garbage...
#  Clean plugins
find %buildroot%_libdir/%name \( -name '*.a' -o -name '*.la' \) -print0 | \
	xargs -r0 %__rm -rvf --

%post libs -p %post_ldconfig
%postun libs -p %postun_ldconfig

%post libs-gl -p %post_ldconfig
%postun libs-gl -p %postun_ldconfig

%post libs-sw -p %post_ldconfig
%postun libs-sw -p %postun_ldconfig

%files
%doc COPYING INSTALL NEWS TODO
%ifdef cvsdate
%doc CVS.ChangeLog
%else
%doc ChangeLog
%endif
%config(noreplace) %_sysconfdir/%name.conf
%dir %_gamesdatadir/%name
%dir %_gamesdatadir/%name/QF
%_gamesdatadir/%name/QF/menu.dat*
%_gamesdatadir/%name/QF/*.pak

%files doc
%doc doc/*
#exclude Makefile*
#exclude */Makefile*

%files libs
%if_with plugins
%_libdir/libQFcd.so.*
%_libdir/libQFsound.so.*
%endif
%_libdir/libQFconsole.so.*
%_libdir/libQFgamecode_builtins.so.*
%_libdir/libQFgamecode.so.*
%_libdir/libQFgib.so.*
%_libdir/libQFimage.so.*
%_libdir/libQFjs.so.*
%_libdir/libQFmodels.so.*
#_libdir/libQFobject.so.*
%_libdir/libQFruamoko.so.*
%_libdir/libQFutil.so.*
%dir %_libdir/%name
%_libdir/%name/cd_file.so
#_libdir/%name/cd_null.so
%_libdir/%name/console_client.so
%_libdir/%name/snd_render_default.so

%if_enabled gl
%files libs-gl
%_libdir/libQFmodels_gl.so.*
%_libdir/libQFrenderer_gl.so.*
%endif

%if_enabled sw
%files libs-sw
%_libdir/libQFmodels_sw.so.*
 %if_with sdl
%_libdir/libQFrenderer_sw32.so.*
 %endif
%endif

%files servers
%_bindir/qw-server
%_bindir/nq-server
%_bindir/qw-master
#_bindir/hw-master
%_bindir/qtv
%_libdir/%name/console_server.so

%if_with plugins
%files cd-linux
%_libdir/%name/cd_linux.so
%endif

%if_with plugins
 %if_with sdl
%files cd-sdl
%_libdir/%name/cd_sdl.so
 %endif
%endif

%if_with plugins
 %if_enabled xmms
%files cd-xmms
%_libdir/%name/cd_xmms.so
 %endif
%endif

%if_with fbdev
 %if_enabled sw
%files fbdev
%_bindir/qw-client-fbdev
%_bindir/nq-fbdev
 %endif
%endif

%if_with x11
 %if_enabled gl
%files glx
%_bindir/qw-client-glx
%_bindir/nq-glx
 %endif

 %if_enabled sw
%files x11
%_bindir/qw-client-x11
%_bindir/nq-x11
 %endif
%endif

%if_with sdl
 %if_enabled sw
%files sdl
%_bindir/qw-client-sdl
%_bindir/nq-sdl

%files sdl32
%_bindir/qw-client-sdl32
%_bindir/nq-sdl32
 %endif

 %if_enabled gl
%files sgl
%_bindir/qw-client-sgl
%_bindir/nq-sgl
 %endif
%endif

%if_with svga
 %if_enabled sw
%files svga
%attr(4511,root,root) %_bindir/qw-client-svga
%attr(4511,root,root) %_bindir/nq-svga
 %endif
%endif

%if_with 3dfx
 %if_enabled gl
%files 3dfx
%attr(4511,root,root) %_bindir/qw-client-3dfx
%attr(4511,root,root) %_bindir/nq-3dfx
 %endif
%endif

%if_with plugins
 %if_enabled alsa
%files snd-alsa
%_libdir/%name/snd_output_alsa*.so
 %endif
%endif

%if_with plugins
 %if_enabled oss
%files snd-oss
%_libdir/%name/snd_output_oss.so
 %endif
%endif

%if_with plugins
 %if_with sdl
%files snd-sdl
%_libdir/%name/snd_output_sdl.so
 %endif
%endif

%if_with plugins
%files snd-disk
%_libdir/%name/snd_output_disk.so
%endif

%files devel
%if_with plugins
%_libdir/libQFcd.so
%_libdir/libQFsound.so
%endif
%_libdir/libQFconsole.so
%_libdir/libQFgamecode_builtins.so
%_libdir/libQFgamecode.so
%_libdir/libQFgib.so
%_libdir/libQFimage.so
%_libdir/libQFjs.so
%_libdir/libQFmodels.so
 %if_enabled gl
%_libdir/libQFmodels_gl.so
%_libdir/libQFrenderer_gl.so
 %endif
 %if_enabled sw
%_libdir/libQFmodels_sw.so
  %if_with sdl
%_libdir/libQFrenderer_sw32.so
  %endif
 %endif
#_libdir/libQFobject.so
%_libdir/libQFruamoko.so
%_libdir/libQFutil.so
%dir %_includedir/QF
%dir %_includedir/QF/GL
#dir %_includedir/QF/classes
%dir %_includedir/QF/plugin
%_includedir/QF/GL/*.h
#_includedir/QF/classes/*.h
%_includedir/QF/plugin/*.h
%_includedir/QF/*.h

%if_enabled static
%files devel-static
%if_with plugins
%_libdir/libQFcd.a
%_libdir/libQFsound.a
%endif
%_libdir/libQFconsole.a
%_libdir/libQFgamecode.a
%_libdir/libQFgamecode_builtins.a
%_libdir/libQFgib.a
%_libdir/libQFimage.a
%_libdir/libQFjs.a
%_libdir/libQFmodels.a
 %if_enabled gl
%_libdir/libQFmodels_gl.a
%_libdir/libQFrenderer_gl.a
 %endif
 %if_enabled sw
%_libdir/libQFmodels_sw.a
  %if_with sdl
%_libdir/libQFrenderer_sw32.a
  %endif
 %endif
#_libdir/libQFobject.a
%_libdir/libQFruamoko.a
%_libdir/libQFutil.a
%endif

%files -n qfcc
%_bindir/qfcc
%_bindir/qfpreqcc
%_bindir/qfprogs
%dir %_includedir/QF/ruamoko
%_includedir/QF/ruamoko/*
%dir %_libdir/ruamoko
%_libdir/ruamoko/lib*.a
%_man1dir/qfcc.1*

%files -n pak
%_bindir/pak
%_bindir/wad
%_man1dir/pak.1*
%_man1dir/wad.1*

%files utils
%_bindir/qfwavinfo
#_bindir/zpak

%files maptools
%_bindir/bsp2img
%_bindir/qfbsp
%_bindir/qflight
%_bindir/qfmodelgen
%_bindir/qfvis
%_man1dir/qflight.1*
%_man1dir/qfvis.1*

%changelog
* Tue May 04 2004 Sir Raorn <raorn@altlinux.ru> 0.5.5-alt1
- [0.5.5]
- Added qtv to -servers package

* Tue Apr 20 2004 Sir Raorn <raorn@altlinux.ru> 0.5.4-alt9
- CVS snapshot 20040416

* Sun Feb 15 2004 Sir Raorn <raorn@altlinux.ru> 0.5.4-alt8
- CVS snapshot 20040214
- Removed qfdefs (upstream)
- Added qfpreqcc to qfcc package
- Added wad tool to pak package

* Sun Dec 21 2003 Sir Raorn <raorn@altlinux.ru> 0.5.4-alt7
- CVS snapshot 20031219
- devel-static and *.la fixes

* Mon Nov 10 2003 Sir Raorn <raorn@altlinux.ru> 0.5.4-alt6
- CVS snapshot 20031103

* Sun Sep 07 2003 Sir Raorn <raorn@altlinux.ru> 0.5.4-alt5
- CVS snapshot 20030907
- BuildRequires updated

* Sat Jul 19 2003 Sir Raorn <raorn@altlinux.ru> 0.5.4-alt4
- [0.5.4]

* Thu May 01 2003 Sir Raorn <raorn@altlinux.ru> 0.5.2-alt3
- CVS snapshot 20030501
- New maptools: bsp2img and qfmodelgen
- Removed versions from requires to virtual packages (confuses apt)

* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.2-alt2
- rebuild without svgalib (I had to turn off both svga and 3dfx targets)

* Thu Oct 10 2002 Sir Raorn <raorn@altlinux.ru> 0.5.2-alt1
- [0.5.2]
- qfbsp, qflight and qfvis are moved to -maptools subpackage
- qfwavinfo included in -utils subpackage
- Updated build dependencies

* Sun Sep 22 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.12.20020922
- CVS snapshot 20020922
- More BSP utils

* Sat Sep 14 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.11.20020913
- CVS snapshot 20020913
- Added BSP utils to -utils subpackage

* Sun Aug 25 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.10.20020824
- Disabling optimization with gcc 3.2 was Bad Idea(tm)

* Sun Aug 25 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.9.20020824
- Rebuild with --disable-optimize

* Sun Aug 25 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.8.20020824
- CVS snapshot 20020824
- Select gcc version to build with

* Sun Aug 18 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.7.20020818
- CVS snapshot 20020818
- sgl target is back
- qfdefs is back (now in -utils subpackage)
- New -utils subpackage
- Added some %%dir's in filelist (plugins and includes)
- Set attributes r-s--x--x on suid-root binaries

* Sun Aug 04 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.6.20020802
- Updated interpackage requires
- Back to compat-gcc (with 3.1.1 weapon model disappears)

* Sat Aug 03 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.5.20020802
- CVS snapshot 20020802
- Updated autotools requires
- sgl target temporary disabled (broken in CVS)
- qfdefs temporary disabled (broken in CVS)
- Dances around configure

* Sat Jun 29 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.4.20020628
- CVS snapshot 20020628
- qfpreqcc dropped
- Spec cleanup, added some comments about clent selection
- BuildPreReq updated (buildreqs really SUCKS)

* Sat Jun 08 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.3.20020607
- CVS snapshot 20020607
- Addes qfprogs utility and pak manpage to filelist

* Thu May 02 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.2.20020501
- CVS snapshot 20020501
- s/BuildRequires/BuildPreReq/g

* Sat Apr 13 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.2.20020412
- CVS snapshot 20020412
- Release changed

* Sun Mar 31 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.pre.20020329.1
- CVS snapshot 20020329
- pak package

* Sun Feb 24 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.pre.20020222.2
- Provides {quake,quakeworld}-{client,server}

* Sat Feb 23 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.pre.20020222.1
- CVS snapshot 20020222
- 3dfx subpackage
- more %%if's for packages
- BuildRequires
- spec cleanup

* Thu Feb 21 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.pre.20020221.1
- CVS snapshot 20020221
- qfdefs and qfpreqcc
- doc subpackage
- common -> libs
- devel-static subpackage

* Sat Feb 16 2002 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt0.pre.20020208.2
- Spec cleanup




